Subject: summary: 2GB file problem

From: Denny <[email-masked]>
Date: Sun, 21 Oct 2001 16:0:40 +0800

Hi everyone here,

I must thanks everyone who have answered my question. Here I summary it with my question. I think in my calculation, in 
fact the computation did't hit 16GB because what I calculate is LaF on QCISD(T)/aug-cc-pvqz+7s6p5d4f2g, the rwf file can't 
be up to 16GB because I even successfully calculated larger system LaCl. I think the cause is: if I split rwf file into 
many small files, G98 A7 can't manage it efficiently. When it is down, I can find there is some files which are written 
several hours ago, and G98 can't know it can be utilize again. 

does any one know how to let linux support 2GB file or even larger? It is G98 A7 can't support 2GB file or the operating 
system? For my G98 A7 it even can't use "%Rwf=2GB". The larger file it support is only a little bigger than 250MW.

Best Regards,
Denny Chen

****************************
* Denny Chen		   *
* Center for Astrophysics  *
* Tsinghua University	   *
* Beijing, P.R.China       *
* 8610-62792126(phone)     *
* 8610-62792125(fax)       *
****************************
Email:[email-masked]

********************************************************************************
From: [email-masked] (Doug Fox)

   Dr. Chen,

    The maximum is 8 files corresponding to 16GB or 2GW which is the maximum
word address using 32 bits.  We have increased this limit with Rev. A.11 to
500 characters so that you could specify paths to these files but it does not
increase the number of files you can specify.

   This may be one of those calculations which cannot be done on a Linux 
system with G98.

*********************************************************************************
> From [email-masked]>

Denny,
you probably thought of this, but my G98 allows me to use '2GB' instead of '250MW'
        Mike

*********************************************************************************
From: uccatvm <[email-masked]>

Hi Denny,

> because of the famous 2GB problem, I split .rwf file into many files which are smaller than 2GB. But if I mant to split 
it 
> into more files, the "%Rwf=..." line will be too long and g98 will ignore the extra words. How I can get more disk 
> amount(10*250MW) since I can't finish this calculation because the Rwf file here need more than 10*250MW?
> 

I don't think there is an easy way around this for revision A7. One solution 
is to obtain the latest revision, A11, which supports link 0 commands 
(% lines) of up to 500 characters (see www.gaussian.com).

Best wishes,

Tanja 
-- 
  =====================================================================
     Tanja van Mourik                                                
     Royal Society University Research Fellow
     Chemistry Department 
     University College London    phone:    +44 (0)20-7679-4663      
     20 Gordon Street             e-mail:   work: [email-masked] 
     London WC1H 0AJ, UK                    home: [email-masked]     
***************************************************************************************
From: Toomas Tamm <[email-masked]>

Dear Denny,

I think you will hit the 16GB limit before you run out of line length.
This was discussed on CCL last time. It was hypothesized (sp?) that
the 16GB limit comes from 31-bit counting of 8-byte "words" and can
not be overcome on 32-bit machines without re-engineering the
internals of Gaussian.

Please let me know if I was wrong,
-- 
Toomas Tamm                                 e-mail: [email-masked]
Inorganic and General Chemistry             voice:  INT+372-620-2810
Tallinn Technical University                fax:    INT+372-620-2796
Ehitajate tee 5, EE-19086 Tallinn, Estonia  http://www.kk.ttu.ee/toomas/
*******************************************************************************
My question is:
> Hi CCListers,
> 
> I use Gaussian 98 A7 for linux version Redhat 7.0. I am doing a calculation, the input file is: 
> 
> %Mem=1800MB
> %Rwf=a,250MW,b,250MW,c,250MW,d,250MW,e,250MW,f,250MW,g,250MW,h,250MW,i,250MW,j,-1
> %Nosave
> %Chk=qtscanf
> #T QCISD(T,MaxCyc=5000)/Gen scf(Vshift=100,MaxCycle=2047,symm) Pseudo=Read 
> # guess=alter Tran=Direct scan Test
> 
> because of the famous 2GB problem, I split .rwf file into many files which are smaller than 2GB. But if I mant to split 
it 
> into more files, the "%Rwf=..." line will be too long and g98 will ignore the extra words. How I can get more disk 
> amount(10*250MW) since I can't finish this calculation because the Rwf file here need more than 10*250MW?
> 
> Any good advice will be appreciated!